%{!?_pkgdocdir: %global _pkgdocdir %{_docdir}/%{name}-%{version}}

Name:           glite-lb-logger-msg
Version:        1.2.11
Release:        1%{?dist}
Summary:        Plugin for sending L&B notifications to messaging infrastructure

License:        ASL 2.0
Url:            http://glite.cern.ch
Source:         http://scientific.zcu.cz/emi/emi.lb.logger-msg/%{name}-%{version}.tar.gz

BuildRequires:  activemq-cpp-devel
# apr-devel needed only for activemq-cpp <= 3.4 (Fedora <= 19)
BuildRequires:  apr-devel
BuildRequires:  cppunit-devel
BuildRequires:  glite-lb-logger-devel
BuildRequires:  glite-lbjp-common-log-devel
BuildRequires:  glite-lbjp-common-trio-devel
BuildRequires:  libtool
BuildRequires:  perl
BuildRequires:  perl(Getopt::Long)
BuildRequires:  perl(POSIX)
BuildRequires:  pkgconfig
Requires:       crontabs
Requires:       glite-lb-logger

%description
L&B logger plugin for delivering notification messages into the messaging
infrastructure.


%prep
%setup -q


%build
perl ./configure --root=/ --prefix=%{_prefix} --libdir=%{_lib} --docdir=%{_pkgdocdir} --module lb.logger-msg
# missing dependency on apr in .pc file for activemq-cpp <= 3.4.x
%if 0%{?fedora} <= 19
echo >> Makefile.inc
echo "ACTIVEMQ_CPP_CFLAGS+=`pkg-config --cflags apr-1`" >> Makefile.inc
%endif
%{?activemq_env} CFLAGS="%{?optflags}" LDFLAGS="%{?__global_ldflags}" make %{?_smp_mflags}


%install
make install DESTDIR=$RPM_BUILD_ROOT
rm -f $RPM_BUILD_ROOT%{_libdir}/*.a
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la


%files
%doc LICENSE project/ChangeLog config/msg.conf.example
%dir %{_sysconfdir}/glite-lb/
%dir %{_libdir}/glite-lb/
%dir %{_libdir}/glite-lb/examples/
%config(noreplace) %{_sysconfdir}/cron.d/%{name}
%{_libdir}/activemq_cpp_plugin.so
%{_libdir}/activemq_cpp_plugin.so.0
%{_libdir}/activemq_cpp_plugin.so.0.0.0
%{_libdir}/glite-lb/examples/glite-lb-cmsclient
%{_sbindir}/glite-lb-msg-*


%changelog
* Fri Feb 07 2014 František Dvořák <valtri@civ.zcu.cz> - 1.2.11-1
- Initial package
